// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Fischer
#pragma once

#include "Common.hpp"

#define ASSERT(exp)  \
	{                  \
		if (!(exp)) DIE; \
	}
#define ASSERT_MSG(exp, msg)  \
	{                           \
		if (!(exp)) DIE_MSG(msg); \
	}
